Retrieve Products

GET
/v2/products

A product is any purchasable compensation option SQUAKE offers. In the simplest case, a product maps to a single climate project such as "Sustainable Biofuel for Shipping". Depending on client need, SQUAKE also offers bundles of multiple climate projects; these can be centered around specific goals, e.g.,"carbon reduction", "location", or what is desired to achieve a particular price point or sustainability goal. Feel free to contact us for more information or custom products.

Authorization

Bearer-Auth
headerAuthorizationBearer <token>

Query Parameters

locale?Locale

Descriptions of products can be localized.

Match^(?:[a-z]{2}|[a-z]{2}-[A-Z]{2})$
Length2 <= length <= 5
Default"en"
Value in"de""en""es""fr""hi""it""ja""pt""pt-BR""zh-CN"
page?number

An optional parameter that enables pagination, by default the amount of items per page is 25

Range1 <= value
items?number

An optional parameter that enables pagination, this controls the amount of items per page. Can be used separetly or in conjunction with page

Range1 <= value <= 25
category?string

Allows filtering of the categories of a product, filters by code

class?string

Allows filtering of the classes of a product, filters by code

impact_type?string

Allows filtering of the impact types of a product, filters by code

Response Body

OK

application/json
  1. response
[index: integer]?

A product is any purchasable compensation option SQUAKE offers. In the simplest case, a product maps to a single project such as "GoodShipping Sustainable Biofuel for Shipping". Depending on client need, SQUAKE also offers bundles of multiple projects; these can be centered around specific goals, e.g., "carbon avoidance", or mixed to achieve a particular price point. Feel free to contact us for more information or custom products.

Example Request
curl -X GET 'https://api.sandbox.squake.earth/v2/products'
Example Response
[  {    "id": "product_2rsg35sfsdf",    "locations": [      {        "country": "DE",        "sub_region": "150",        "region": "155"      }    ],    "certifications": [      "European Biochar Certification"    ],    "title": "string",    "description": "string",    "sdgs": [      7    ],    "files": [      {        "id": "file_asfg454s25",        "filename": "string",        "purpose": "confirmation_document",        "size": 0,        "type": "pdf",        "download_url": "http://example.com",        "notification": "string"      }    ],    "prices": [      {        "id": "price_1MMroL2eZvKYlo2CxbxAACvb",        "product": "prod_N760vOJBvdEDY8",        "unit_amount": 2500,        "carbon_unit": "tonne",        "currency": "EUR"      }    ],    "categories": [      {        "code": "forestry_and_land_use",        "title": "Forestry and Land Use"      }    ],    "impact_types": [      {        "code": "avoidance",        "title": "Avoidance"      }    ],    "classes": [      {        "code": "technology_based",        "title": "Technology based"      }    ]  }]